Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### ortho()

Examples

    size(100, 100, P3D)
    noFill();
    ortho(0, width, 0, height, -10, 10);
    translate(100, 100, 0);
    rotateX(-PI/6);
    rotateY(PI/3);
    box(45);

Description

Sets an orthographic projection and defines a parallel clipping volume. All objects with the same dimension appear the same size, regardless of whether they are near or far from the camera. The parameters to this function specify the clipping volume where left and right are the minimum and maximum x values, top and bottom are the minimum and maximum y values, and near and far are the minimum and maximum z values. If no parameters are given, the default is used: ortho(0, width, 0, height, -10, 10).

Syntax

    ortho()
    ortho(left, right, bottom, top, near, far)

Parameters

left | float: left plane of the clipping volume
right | float: right plane of the clipping volume
botton | float: bottom plane of the clipping volume
top | float: top plane of the clipping volume
near | float: maximum distance from the origin to the viewer
far | float: maximum distance from the origin away from the viewer

Returns | None
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT